[已解决]Fluent 64, gambit 32安装问题

为当前最终发行版之前的所有版本提供支持
回复
头像
刘淑悯
帖子: 111
注册时间: 2008-03-07 22:21
来自: 哈工大
送出感谢: 0
接收感谢: 0

[已解决]Fluent 64, gambit 32安装问题

#1

帖子 刘淑悯 » 2010-04-02 0:03

mandriva 2010.1 x86-64
Intel Duo T5450
fluent6.3.26 64位
gambit2.3.16 32位(目前没有64位)
fluent和gambit都安装在/data/Fluent.Inc文件夹下

按照默认选项安装,安装完gambit -x11启动出错,提示
Error: directory /data/Fluent.Inc/gambit[0-9]* does not contain a valid arch.
Set the environment variable FLUENT_ARCH and try again.
在~/.zshrc加一行
export FLUENT_ARCH=lnx86
后gambit -x11可以正常启动,但是fluent无法启动,因为fluent是64位的,将~/.zshrc改为
export FLUENT_ARCH=lnamd64
后,fluent -3d启动正常,但是gambit又不能用了。

如何设置使fluent的ARCH为lnamd64,gambit的ARCH为lnx86,或者有别的解决方法?
上次由 刘淑悯 在 2010-04-02 22:13,总共编辑 1 次。
kamui0523
帖子: 547
注册时间: 2008-05-14 18:53
来自: 上海
送出感谢: 0
接收感谢: 0

Re: Fluent 64, gambit 32安装问题

#2

帖子 kamui0523 » 2010-04-02 11:12

新建两个脚本内容如下
gambit
export FLUENT_ARCH=lnx86;gambit程序的全路径

fluent
export FLUENT_ARCH=lnamd64; fluent程序的全路径
然后以后启动这个2个程序就使用这个2个命令即可
或者将以上方法设置成别名也可以,方法有很多,怎么方便怎么做吧
头像
刘淑悯
帖子: 111
注册时间: 2008-03-07 22:21
来自: 哈工大
送出感谢: 0
接收感谢: 0

Re: Fluent 64, gambit 32安装问题

#3

帖子 刘淑悯 » 2010-04-02 22:12

照楼上设置了下别名,解决问题了。
在fluent论坛找了一圈没解决,来ubuntu一天就整好了。

=====================================================
很多人碰到exec951。。。not found的问题发消息来问我,当时印象中好像没遇到过,
我也不是特别清楚是什么原因,把我的配置贴出来,供大家参考。
我的Fluent安装在/data目录下,.zshrc配置如下:
alias Fluent='cd /data/Fluent.Inc/data;export FLUENT_ARCH=lnamd64;fluent -3d'
alias Gambit='cd /data/Fluent.Inc/data;export FLUENT_ARCH=lnx86;gambit -x11'
用Fluent命令启动fluent,Gambit启动gambit。

话说我们公司都不用gambit了,画网格全用ICEM,这也是个潮流吧,最近一直在学ICEM,
略有小成。
上次由 刘淑悯 在 2012-04-04 23:15,总共编辑 1 次。
wxyma
帖子: 1
注册时间: 2010-05-07 15:12
送出感谢: 0
接收感谢: 0

Re: [已解决]Fluent 64, gambit 32安装问题

#4

帖子 wxyma » 2010-05-07 15:22

刚装了64位Ubuntu,正打算试试Fluent,装的时候参考了,多谢!
titianyang
帖子: 32
注册时间: 2010-11-04 0:37
送出感谢: 0
接收感谢: 0

Re: [已解决]Fluent 64, gambit 32安装问题

#5

帖子 titianyang » 2011-03-07 23:05

在哪里下载安装文件呢?安装过程是怎么样的?直接用win下的安装包么?
回复

回到 “老旧版本支持”